""" Definition of the URL paths to access the views of the Maistar ranking. """

from django.urls import path
from . import views

urlpatterns = [
    path("", views.ListRankings.as_view()),
    path('event/<int:event>/maistar/', views.ListGames.as_view(), name="maistar-game-list"),
    path('event/<int:event>/maistar/add/$', views.GameForm.as_view(), name="maistar-add-game"),
    path('maistar/', views.ListRankings.as_view(), name="maistar-ranking"),
    path('maistar/<int:game>/edit/', views.GameForm.as_view(), name="maistar-edit-game"),
    path('maistar/<int:game>/delete/', views.DeleteGame.as_view(), name="maistar-delete-game"),
    path('maistar/<int:season>/', views.ListRankings.as_view(), name="maistar-ranking"),
    path('player/<slug:username>/maistar/', views.ListPlayerGames.as_view(), name="maistar-player-games"),
    path('player/<slug:username>/maistar/<int:season>/', views.ListPlayerGames.as_view(), name="maistar-player-games"),
]
